diff --git a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
index accf443..f41c32c 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
+++ b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
@@ -110,13 +110,6 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
         pgBrowser.messages['NO_PRIV_SELECTED'] =
           '{{ _('At least one privilege should be selected.') }}';
 
-        pgBrowser.Events.on(
-          'pgadmin:server:disconnect', this.callbacks.disconnect_server
-        );
-        pgBrowser.Events.on(
-          'pgadmin:server:connect', this.callbacks.connect_server
-        );
-
         _.bindAll(this, 'connection_lost');
         pgBrowser.Events.on(
           'pgadmin:server:connection:lost', this.connection_lost
@@ -209,7 +202,11 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
                   if (pgBrowser.serverInfo && d._id in pgBrowser.serverInfo) {
                     delete pgBrowser.serverInfo[d._id]
                   }
-                  obj.trigger('server-disconnected', obj, i, d);
+                  // Trigger server disconnect event
+                  pgBrowser.Events.trigger(
+                    'pgadmin:server:disconnect',
+                    {item: i, data: d}, false
+                  );
                 }
                 else {
                   try {
diff --git a/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js b/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js
index 35ed102..c9dec3f 100644
--- a/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js
+++ b/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js
@@ -24,6 +24,11 @@ function(r, $, pgAdmin, _, Backbone, gettext) {
             // Listen for selection of any of object
             pgBrowser.Events.on('pgadmin-browser:tree:selected', selected);
 
+            // Listen for sever disconnect event & trigger refresh button
+            pgBrowser.Events.on('pgadmin:server:disconnect', function() {
+              $("button").trigger('click');
+            });
+
             // Load the default welcome dashboard
             url = '{{ url_for('dashboard.index') }}';
 
